Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Variables
heap_algorithm.hpp File Reference

## Classes
struct | ranges::v3::is_heap_fn
struct | ranges::v3::is_heap_until_fn
struct | ranges::v3::make_heap_fn
struct | ranges::v3::pop_heap_fn
struct | ranges::v3::push_heap_fn
struct | ranges::v3::sort_heap_fn

## Typedefs
template<typename I , typename C = ordered_less, typename P = ident>
using | ranges::v3::IsHeapable = meta::strict_and< RandomAccessIterator< I >, IndirectRelation< C, projected< I, P > >>

## Variables
constexpr with_braced_init_args< is_heap_fn > | ranges::v3::is_heap {}
constexpr with_braced_init_args< is_heap_until_fn > | ranges::v3::is_heap_until {}
constexpr with_braced_init_args< make_heap_fn > | ranges::v3::make_heap {}
constexpr with_braced_init_args< pop_heap_fn > | ranges::v3::pop_heap {}
constexpr with_braced_init_args< push_heap_fn > | ranges::v3::push_heap {}
constexpr with_braced_init_args< sort_heap_fn > | ranges::v3::sort_heap {}